org.apache.ignite.internal.processors.clock

## Class GridClockDeltaSnapshotMessage

- java.lang.Object
- - org.apache.ignite.internal.processors.clock.GridClockDeltaSnapshotMessage

All Implemented Interfaces:
  Serializable, Message

    public class GridClockDeltaSnapshotMessage
    extends Object
    implements Message

Message containing time delta map for all nodes.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridClockDeltaSnapshotMessage()` Empty constructor required by `Externalizable`.
`GridClockDeltaSnapshotMessage(GridClockDeltaVersion snapVer, Map<UUID,Long> deltas)`

### Method Summary

Methods
`Map<UUID,Long>` `deltas()`
`byte` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`GridClockDeltaVersion` `snapshotVersion()`
`String` `toString()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridClockDeltaSnapshotMessage

    public GridClockDeltaSnapshotMessage()

Empty constructor required by `Externalizable`.

#### GridClockDeltaSnapshotMessage

    public GridClockDeltaSnapshotMessage(GridClockDeltaVersion snapVer,
                                 Map<UUID,Long> deltas)

Parameters:
  `snapVer` - Snapshot version.
  `deltas` - Deltas map.

### Method Detail

#### snapshotVersion

    public GridClockDeltaVersion snapshotVersion()

Returns:
  Snapshot version.

#### deltas

    public Map<UUID,Long> deltas()

Returns:
  Time deltas map.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                  MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                   MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public byte directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015